summaryrefslogtreecommitdiff
path: root/scripts/libmakepkg/integrity/verify_signature.sh.in
diff options
context:
space:
mode:
authorEli Schwartz <eschwartz@archlinux.org>2018-05-28 23:14:03 -0400
committerAllan McRae <allan@archlinux.org>2019-01-22 09:38:21 +1000
commitac0e21a6df65c3770920be39b3fe14d8b49f637b (patch)
tree11ae21146559e9bebe0222b3ea102f58450458d3 /scripts/libmakepkg/integrity/verify_signature.sh.in
parent1b9e358f1d7ff806c62a7170f57342dd0e2338bf (diff)
downloadpacman-ac0e21a6df65c3770920be39b3fe14d8b49f637b.tar.xz
libmakepkg: optimize get_protocol to always return proto, not proto+uri
e.g. git+https:// is commonly used for git repositories cloned over HTTPS, but we assume a proto with a plus in it is actually a protocol followed by some URI handler. So we might as well simplify the return value and not have to always add glob matching everywhere when checking the proto in use. This is required in order to use the proto directly in function calls, which will be used in a followup patch. Signed-off-by: Allan McRae <allan@archlinux.org>
Diffstat (limited to 'scripts/libmakepkg/integrity/verify_signature.sh.in')
-rw-r--r--scripts/libmakepkg/integrity/verify_signature.sh.in4
1 files changed, 2 insertions, 2 deletions
diff --git a/scripts/libmakepkg/integrity/verify_signature.sh.in b/scripts/libmakepkg/integrity/verify_signature.sh.in
index b5f9eee9..9742bdf2 100644
--- a/scripts/libmakepkg/integrity/verify_signature.sh.in
+++ b/scripts/libmakepkg/integrity/verify_signature.sh.in
@@ -49,7 +49,7 @@ check_pgpsigs() {
for netfile in "${all_sources[@]}"; do
proto="$(get_protocol "$netfile")"
- if [[ $proto = git* ]]; then
+ if [[ $proto = git ]]; then
verify_git_signature "$netfile" "$statusfile" || continue
else
verify_file_signature "$netfile" "$statusfile" || continue
@@ -263,7 +263,7 @@ source_has_signatures() {
proto="$(get_protocol "$netfile")"
query=$(get_uri_query "$netfile")
- if [[ ${netfile%%::*} = *.@(sig?(n)|asc) || ( $proto = git* && $query = signed ) ]]; then
+ if [[ ${netfile%%::*} = *.@(sig?(n)|asc) || ( $proto = git && $query = signed ) ]]; then
return 0
fi
done